-- Format: [PREFABNAME] [SPACE/TAB] [MAX_AMOUNT],
-- It can have as many spaces or tabs as you want. Don't forget the comma at the end
-- Example - to remove all seeds from the world you'd do:
-- seeds = 0,
-- Example2 - to only let 100 spiders alive after a world clean you'd do:
-- spider = 100,
-- # Add a "--" at the start of the row to make a comment

-- ####################################################################################################
-- # PREFABS TO CLEAN
-- ####################################################################################################

local Prefabs =
{   
    glommer                         = 0,
    dst_balloon2                    = 0,
	dst_ghost2                      = 0,
    warg                            = 0,
	ewecus                          = 0,
	hound                           = 0,
	firehound                       = 0,
	icehound                        = 0,
	wall_stone 						= 0,
	wall_stone					    = 0,
	wall_hay                        = 0,
	wall_wood                       = 0,
	wall_ruins                      = 0,
	wall_moonrock                   = 0,
    fence                           = 0,
	sketch 							= 0,
	researchlab 					= 0,
	winter_ornament_light1 			= 0,
	winter_ornament_light2			= 0,
	winter_ornament_light3			= 0,
	winter_ornament_light4			= 0,
	winter_ornament_boss_bearger	= 0,
	winter_ornament_boss_deerclops	= 0,
	winter_ornament_boss_moose		= 0,
	winter_ornament_boss_dragonfly	= 0,
	winter_ornament_boss_beequeen	= 0,
	winter_ornament_boss_toadstool	= 0,
	winter_ornament_fancy1			= 0,
	winter_ornament_fancy2			= 0,
	winter_ornament_fancy3			= 0,
	winter_ornament_fancy4			= 0,
	winter_ornament_plain1			= 0,
	winter_ornament_plain2			= 0,
	winter_ornament_plain3			= 0,
	winter_ornament_plain4			= 0,
	winter_ornament_plain5			= 0,
	winter_ornament_plain6			= 0,
	winter_ornament_plain7			= 0,
	winter_ornament_plain8			= 0,
	evergreen						= 2500,
	dug_reeds						= 0,
	winter_food1					= 0,
	winter_food2					= 0,
	winter_food3					= 0,
	winter_food4					= 0,
	winter_food5					= 0,
	winter_food16					= 0,
	winter_food7					= 0,
	winter_food8					= 0,
	winter_food9					= 0,
	twiggytree						= 0,
	twiggy_nut_sapling				= 0,
	twiggy_nut                      = 0,
	twigs							= 5,
	nitre							= 10,
	pinecone						= 0,
	minotaurchest					= 0,
	evergreen_sparse_stump			= 0,
	mushtree_tall_webbed_stump		= 0,
	mushtree_small_stump			= 0,
	mushtree_medium_stump			= 0,
	mushtree_tall_stump				= 0,
	marsh_tree_stump				= 0,
	evergreen_stump					= 0,
	deciduoustree_stump				= 0,
	phlegm							= 0,
	palmtree_stump					= 0,
	jungletree_stump				= 0,
	yeti							= 10,
	footballhat						= 0,
	trap							= 10,
	mosquitosack					= 0,
	skeleton						= 0,
	strawhat						= 0,
	backpack						= 1,
	horn							= 0,
	skeleton_player					= 0,
	flower							= 1000,
	babybeefalo						= 5,
	beefalo							= 400,
	--beefaloherd						= 5,
	beefalowool                     = 0,
	spiderden						= 35,
	spider							= 20,
	spider_warrior					= 20,
	spoiled_food					= 0,
	carrot_planted					= 200,	
	fireflies						= 200,
	monstermeat						= 0,
	silk							= 10,
	glommerfuel						= 5,
	slurtleslime					= 5,
	wetgoop							= 0,
	charcoal						= 0,
	dug_berrybush2					= 0,
	dug_berrybush					= 0,
	dug_grass						= 0,
	dug_sapling						= 0,
	flint							= 20,
	axe								= 0,
	goldenaxe						= 0,
	pickaxe							= 0,
	goldenpickaxe					= 0,
	shovel							= 0,
	goldenshovel					= 0,
	pitchfork						= 0,
	hammer							= 0,
	razor							= 0,
	torch							= 0,
	tentaclespike					= 0,
	tentaclespots					= 0,
	feather_crow					= 0,
	feather_robin					= 0,
	feather_robin_winter			= 0,
	guano							= 0,
	poop							= 0,
	beardhair						= 0,
	boneshard						= 0,
	houndstooth						= 0,
	log 							= 0,
	rocks							= 0,
	cutgrass						= 0,
	twigs							= 0,
	mossling						= 15,
	mooseegg						= 8,
	pigman							= 0,
	bunnyman						= 0,
	lavae							= 0,
	bee								= 0,
	killerbee						= 0,
	slurper							= 20,
	lightninggoat					= 20,
	stinger							= 0,
	trinket_1						= 1,
	trinket_2						= 1,
	trinket_3						= 1,
	trinket_4						= 1,
	trinket_5						= 1,
	trinket_6						= 1,
	trinket_7						= 1,
	trinket_8						= 1,
	trinket_9						= 1,
	trinket_10						= 1,
	trinket_11						= 1,
	trinket_12						= 1,
	trinket_13						= 1,
	trinket_14						= 1,
	trinket_15						= 1,
	trinket_32						= 1,
	trinket_33						= 1,
	trinket_34						= 1,
	trinket_35						= 1,
	trinket_36						= 1,
	trinket_37						= 1,
	candybag                        = 0,
	halloweencandy_1                = 0,
	halloweencandy_2                = 0,
	halloweencandy_3                = 0,
	halloweencandy_4                = 0,
	halloweencandy_5                = 0,
	halloweencandy_6                = 0,
	halloweencandy_7                = 0,
	halloweencandy_8                = 0,
	halloweencandy_9                = 0,
	halloweencandy_10               = 0,
	halloweencandy_11               = 0,
	turf_forest						= 0,
	turf_grass						= 0,
	turf_marsh						= 0,
	turf_rocky						= 0,
	turf_savanna					= 0,
	turf_savanna					= 0,
	turf_desertdirt					= 0,

}

-- Prefabs in here will be eaten by birds.
-- Format: "[PREFAB]"
-- Example - to let birds eat axes you'd do
-- axe = true,
-- ####################################################################################################
-- # BIRD TREASURE
-- ####################################################################################################
local BirdTreasure =
{
	"amulet",
	"blueamulet",
	"purpleamulet",
	"yellowamulet",
	"orangeamulet",
	"greenamulet",
	"flowerhat",
	"sewing_kit",
	"mosquitosack",
	"pinecone",
	"dug_grass",
	"bluegem",
	"redgem",
	"purplegem",
	"greengem",
	"orangegem",
	"yellowgem",
	"trinket_1",
	"trinket_2",
	"trinket_3",
	"trinket_4",
	"trinket_5",
	"trinket_6",
	"trinket_7",
	"trinket_8",
	"trinket_9",
	"trinket_10",
	"trinket_11",
	"trinket_12",
	"trinket_13",
	"trinket_14",
	"trinket_15",
	"lightbulb",
	"stinger",
	"walrus_tusk",
	"houndstooth",
	"feather_robin",
	"feather_crow",
	"feather_robin_winter",
	"beefalowool",
	"manrabbit_tail",
	"silk",
	"beardhair",
	"thulecite",
	"thulecite_pieces",
	"goldnugget",
	"nitre",
	"cutreeds",
	"rope",
	"cutgrass",
	"twigs",
	"foliage",
	"petals_evil",
	"petals",
	"transistor",
	"goose_feather",
	"dragon_scales",
	"lightninggoathorn",
	"glommerfuel",
	"boneshard",
	"abigail_flower",
	"lighter",
	"gunpowder",
	"berries",
	"berries_cooked",
	"corn_cooked",
	"corn",
	"deerclops_eyeball",
	"taffy",
	"blowdart_bunny",
	"rocks",
	"flint",
	"spoiled_food",
	"endiaamulet",
	"ring",
	"matches",
	"razor",
	"honeycomb",
	"honey",
	"footballhat",
	"nightsword",
	"ruins_bat",
	"hambat",
	"spear_wathgrithr",
	"wathgrithrhat",
	"umbrella",
	"torch",
	"cane",
	"heatrock",
	"axe",
	"spear",
	"boomerang",
	"lantern",
	"winterhat",
	"pitchfork",
	"shovel",
	"goldenshovel",
}

-- Prefabs with this tag won't be cleaned.
-- Format: [PREFAB] = {"[TAG1]", "[TAG2]", "[TAG3]", ...},
-- Example - to keep all tamed beefalo you'd do
-- "tamed" = true,
-- ####################################################################################################
-- # EXCLUDE TAGS
-- ####################################################################################################
local ExcludeTags = 
{
	beefalo = {"companion"},
	wall_stone = {"mh_lock"},
	wall_hay = {"mh_lock"},
	wall_wood = {"mh_lock"},
	wall_ruins = {"mh_lock"},
	wall_moonrock = {"mh_lock"},
    fence = {"mh_lock"},
	icehound = {"pet_hound"},
	

}

local PrefabsToClean = {}
PrefabsToClean.Prefabs = Prefabs
PrefabsToClean.ExcludeTags = ExcludeTags
PrefabsToClean.BirdTreasure = BirdTreasure

GLOBAL.PREFABSTOCLEAN = PrefabsToClean