module(..., package.seeall)

local TheWorld = GLOBAL.TheWorld

function checkPlace(x,y,r)
	local res = true
	for tx=x-r,x+r do
		--local s= ""
		for ty=y-r,y+r do
			--local c = ""
			--c = TheWorld.Map:GetTile(tx, ty) 
			if TheWorld.Map:GetTile(tx, ty) ~= 1 then res=false end
			--s=s.."            "..c
		end
		--print(s)
	end
	return res
end

--ThePlayer.Transform:SetPosition(tx, 0, ty)


function GetTileCenter(x,y)
	local x1, y1 = TheWorld.Map:GetTileCoordsAtPoint(0,0,0)	
	local x2, y2 = TheWorld.Map:GetTileCoordsAtPoint(1000,0,1000)	

	local xr = (x-x1)/(x2-x1)*1000
	local yr = (y-y1)/(y2-y1)*1000

	return xr,yr
end



function makeIsland(tx,ty, r)
	for x = -r,r do 
		local s = ""
		for y = -r,r do
			local a="0"
			if (x*x+y*y<=r*r) then a = "*" end
			s=s..a

			if (x*x+y*y<=r*r) then 
	  			TheWorld.Map:SetTile(tx+x, ty+y, 7)
			end

		end
		--print(s)
	end


	local ux,uy = GetTileCenter(tx, ty)
	print(ux,uy)
	local base = SpawnPrefab("telebase1")
	base.Transform:SetPosition(ux,0,uy)

	if TheWorld.N == nil then TheWorld.N = 0 end
	TheWorld.N = TheWorld.N + 1

	base.islandid = TheWorld.N
	print("island"..TheWorld.N)
	base:AddTag("island"..TheWorld.N)	

	local s = SpawnPrefab("bell")
	s.islandid = TheWorld.N
	s:AddTag("bell_island"..TheWorld.N)
	print("Bell_island"..TheWorld.N)
end


function makeIslands(r,N)
	print("makeIslands "..r.." : "..N)
	for i=1,N do

		local s = TheWorld.Map:GetTileCoordsAtPoint(0,0,0)
		s=s*2

		local tx, ty = math.random(s), math.random(s)
		local q = 0
		while not checkPlace(tx,ty,r+10-q) do 
			if math.random(100)==1 then 
					q=q+1 
					if q>4 then q = 4 end
			end
			tx, ty = math.random(s), math.random(s)
		end	
		--local tx, ty = TheWorld.Map:GetTileCoordsAtPoint(ThePlayer:GetPosition():Get())
		print(tx,ty,ThePlayer:GetPosition())
		print(tx,ty,TheWorld.Map:GetTile(tx, ty))
		makeIsland(tx,ty, r)
	end
end


function SpreadPortals()
	local nodes = TheWorld.topology.nodes
	for i, node in ipairs(nodes) do
		print(node.x, node.y)

		if math.floor(i/2)*2==i then
			if (RoadManager:IsOnRoad(node.x, 0, node.y)) then
				local base = SpawnPrefab("telebase1")
				base.Transform:SetPosition(node.x,0,node.y)

				base.islandid = 0
				print("island0")
				base:AddTag("island0")			
			end
		end
	end
end
SpreadPortals()


makeIslands(15,25)
makeIslands(14,0)
makeIslands(13,0)
makeIslands(12,0)
makeIslands(11,0)

makeIslands(10,10)
makeIslands(9,15)
makeIslands(8,15)
makeIslands(7,10)
makeIslands(6,5)
makeIslands(5,5)
makeIslands(4,0)
makeIslands(3,0)
makeIslands(2,0)



